import { SvelteComponentTyped } from "svelte";
declare const firebaseui: typeof import('./firebaseui');
import type { User } from 'firebase/auth';
import type { FirebaseOptions } from 'firebase/app';
import type { LanguageCodes } from './languageCodes.type';
declare const __propDef: {
    props: {
        firebaseConfig: FirebaseOptions;
        languageCode?: LanguageCodes;
        tosUrl?: firebaseui.auth.Config['tosUrl'];
        privacyPolicyUrl?: firebaseui.auth.Config['privacyPolicyUrl'];
        signInWith?: {
            google?: boolean;
            facebook?: boolean;
            twitter?: boolean;
            github?: boolean;
            emailPassword?: boolean;
            emailPasswordless?: boolean;
            phone?: boolean;
            anonymous?: boolean;
        };
    };
    events: {
        success: CustomEvent<string>;
        updateuserdata: CustomEvent<{
            user: User;
            isNewUser: boolean;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type FirebaseUiAuthProps = typeof __propDef.props;
export declare type FirebaseUiAuthEvents = typeof __propDef.events;
export declare type FirebaseUiAuthSlots = typeof __propDef.slots;
export default class FirebaseUiAuth extends SvelteComponentTyped<FirebaseUiAuthProps, FirebaseUiAuthEvents, FirebaseUiAuthSlots> {
}
export {};
