import { type CollectionReference, type DocumentReference, type QueryConstraint } from 'firebase/firestore';
declare type CollectionPredicate<T> = string | CollectionReference<T>;
declare type DocPredicate<T> = string | DocumentReference<T>;
export declare function colRef<T>(ref: CollectionPredicate<T>): CollectionReference<T>;
export declare function docRef<T>(ref: DocPredicate<T>): DocumentReference<T>;
export declare function getCollection<T>(path: CollectionPredicate<T>, queryConstraints?: QueryConstraint[]): Promise<T[]>;
export declare function getDocument<T>(ref: DocPredicate<T>): Promise<T>;
export {};
